Skip to content
Python Library for PSLab : Pocket Science Lab from FOSSASIA
Branch: master
Clone or download
Pull request Compare This branch is 1 commit ahead of fossasia:master.
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
PSL
docs
.gitignore
.travis.yml
99-pslab.rules
LICENSE
MANIFEST.in
Makefile
README.TXT
README.md
setup.cfg
setup.py

README.md

PSLab

The Pocket Science Lab from FOSSASIA http://pslab.fossasia.org

Build Status Codacy Badge

This repository hosts the python library for communicating with PSLab. This can be installed on a linux pc/raspberry pi. With this, one can communicate with the hardware using simple python code.

  • The project is inspired from ExpEYES http://expeyes.in
  • FOSSASIA is supporting development and promotion of ExpEYES project since 2014 mainly through Google Summer of Code
  • The current work is a part of my GSoC-16 project

##Communication Chat: Pocket Science Slack Channel | Get an Invite


Installation

To install PSLab on Debian based Gnu/Linux system, the following dependencies must be installed.

####Dependencies

  • PyQt 4.7+, PySide, or PyQt5
  • python 2.6, 2.7, or 3.x
  • NumPy, Scipy
  • pyqt4-dev-tools   #for pyuic4
  • Pyqtgraph   #Plotting library
  • pyopengl and qt-opengl   #for 3D graphics
  • iPython-qtconsole   #optional

#####Now clone both the repositories pslab-apps and pslab.

#####Libraries must be installed in the following any order

  1. pslab-apps
  2. pslab

Note If user is only interested in using PSLab as an acquisition device without a display/GUI, only one repository pslab needs to be installed

#####To install, cd into the directories

$ cd <SOURCE_DIR>

and run the following (for both the repos)

$ sudo make clean

$ sudo make

$ sudo make install

Now you are ready with the PSLab software on your machine :)

For the main GUI (Control panel), you can run Experiments from the terminal.

$ Experiments


####Development Environment

To set up the development environment, install the packages mentioned in dependencies. For building GUI's Qt Designer is used.

Blog posts related to PSLab on FOSSASIA blog

You can’t perform that action at this time.